Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.FetchSystemMetadataResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.FetchSystemMetadataResponse`, `ClientWireProtocol.FetchSystemMetadataResponse.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.FetchSystemMetadataResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getIntVal()` | `sfixed32 int_val = 4;`
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase` | `getResultOneofCase()` |
`ClientWireProtocol.ResultSet` | `getResultSetVal()` | `.xg.cmdcomp.ResultSet result_set_val = 2;`
`ClientWireProtocol.ResultSetOrBuilder` | `getResultSetValOrBuilder()` | `.xg.cmdcomp.ResultSet result_set_val = 2;`
`String` | `getStringVal()` | `string string_val = 3;`
`com.google.protobuf.ByteString` | `getStringValBytes()` | `string string_val = 3;`
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` | `hasResultSetVal()` | `.xg.cmdcomp.ResultSet result_set_val = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### hasResultSetVal

boolean hasResultSetVal()
`.xg.cmdcomp.ResultSet result_set_val = 2;`

### getResultSetVal

ClientWireProtocol.ResultSet getResultSetVal()
`.xg.cmdcomp.ResultSet result_set_val = 2;`

### getResultSetValOrBuilder

ClientWireProtocol.ResultSetOrBuilder getResultSetValOrBuilder()
`.xg.cmdcomp.ResultSet result_set_val = 2;`

### getStringVal

String getStringVal()
`string string_val = 3;`

### getStringValBytes

com.google.protobuf.ByteString getStringValBytes()
`string string_val = 3;`

### getIntVal

int getIntVal()
`sfixed32 int_val = 4;`

### getResultOneofCase

ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase getResultOneofCase()